### Einrichtung Raspberry Pi für Monero-Mining

### Image erstellen
- 64-bit Image herunterladen (aktuell: bullseye)
- Mit Raspberry Pi Imager schreiben
  - Ctrl+Shift+X: Hostname + Passwort festlegen, SSH aktivieren

### Housekeeping
```
sudo apt update
sudo apt upgrade -y
sudo raspi-config
```
Raspi-Config:

- Memory split: 16

### Message of the day
```sudo nano/etc/motd```

\<ASCII-Art von Hostname\>

Wallet: 45561hnJ5bwEjggiYNiGX4ALod9fz3AFGd8Q7pLjFWHRKMfQsqvRL9u4eAjCJ9fBZSQK2SpX8mPiLFirpcZGMXgjPxsJyCH
Pool address: gulf.moneroocean.stream:10002

### Manuellen DNS-Server
```sudo nano /etc/dhcpcd.conf```

static domain\_name\_servers=1.0.0.1 8.8.8.8

```sudo service dhcpcd restart```

### Abhängigkeiten installieren
```sudo apt install screen cmake git build-essential libssl-dev libuv1-dev libhwloc-dev```

### XMRig klonen
```git clone https://github.com/xmrig/xmrig.git```

### XMRig bauen
```
cd xmrig
mkdir build
cd build
cmake ..
make -j4
```

### XMRig in neuen screen ausführen
```
screen -S monero
./xmrig -o <pool address> -u <wallet> -k -p <Miner Name>
Ctrl+A, D
```
